## td_lib-20110130.tgz

=== support/Makefile ===
# $Id: Makefile,v 12.7 2010/07/05 10:04:22 tom Exp $
# make-file for TD_LIB support directory

####### (Development) ##########################################################
RM	= -rm -f

####### (Command-line Options) #################################################

####### (Standard Lists) #######################################################
VMS_FILES = \
	lib_top.mms \
	linkopts.opt \
	prog_top.mms \
	td_lib.mms \
	td_progs.mms

SOURCES	= Makefile $(VMS_FILES)

ALL =

####### (Standard Productions) #################################################
all\
check:		$(SOURCES) $(ALL)
	@echo '** made $@'
clean:			; $(RM) *.out *.log
clobber:	clean	; $(RM) $(ALL)
destroy:		# will get here last
sources:	$(SOURCES)
lint.out:

=== package/debian/changelog ===
tdlib (20110130) unstable; urgency=low

  * configure-script fixes/updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 30 Jan 2011 17:08:36 -0500

tdlib (20100711) unstable; urgency=low

  * implement ded "-m" mouse option

 -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 09 Jul 2010 17:02:51 -0400

tdlib (20100705) unstable; urgency=high

  * Initial package release

 -- Thomas E. Dickey <dickey@invisible-island.net>  Thu, 01 Jul 2010 04:46:10 -0400

=== package/debian/control ===
Source: tdlib
Maintainer: Thomas E. Dickey <dickey@invisible-island.net>
Priority: optional
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 5), libncursesw5-dev, rcs
Homepage: http://invisible-island.net/ded/

Package: tdlib-dev
Architecture: any
Section: libdevel
Description: td_lib - Thomas Dickey's library
  This development library is used to build several related packages:
  ded - directory editor
  cm_tools - configuration management tools for RCS
  sccs_tools - configuration management tools for SSCS
  copyrite - utility for adding copyright notices

=== package/debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS =

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
        INSTALL_PROGRAM += -s
endif


configure: configure-stamp
configure-stamp:
	dh_testdir

	CFLAGS="$(CFLAGS)" ./configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--includedir=\$${prefix}/include \
		--libdir=\$${prefix}/lib \
		--mandir=\$${prefix}/share/man \
		--sysconfdir=/etc \
		--disable-echo \
		--disable-selflink \
		--with-ncursesw

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	[ ! -f Makefile ] || $(MAKE) clean

	rm -f configure-stamp build-stamp install-stamp \
		config.cache config.h config.status config.log makefile

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tdlib-dev

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# No binary-indep target.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installchangelogs CHANGES
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install install-stamp
